/*global document, window, console, getConnetion, Event*/
/*jslint maxlen: 150*/
/*jshint esversion:6*/

var getConnection = (function () {
    "use strict";

    /* Private */
    var connection = window.navigator.connection
            || window.navigator.mozConnection
            || null;

    /* Public */
    return {
        getType: function (attr_e) {
            var attr = attr_e || {},
                success = attr.success || function () {
                    return undefined;
                };

            if (connection !== null) {
                connection.addEventListener("typechange", function () {
                    success(connection.type);
                });
                connection.dispatchEvent(new Event("typechange"));
            }
        }
    };
}());
