/*global document, window, console, jQuery */
/*jslint maxlen: 150, this: true*/
/*jshint esversion: 6*/

(function ($) {
    "use strict";

    $.fn.scrollMove = function (attr_e) {
        var attr = attr_e || {},

            top = attr.top || 0,
            time = attr.time || 800,
            selector = attr.selector || "body, html";

        $(this).on("click", function (e) {
            e.preventDefault();
            e.stopPropagation();

            $(selector).animate({
                scrollTop: top
            }, time);
        });

        return $(this);
    };

    $.extend($.fn.exists, {
        version: 20180626
    });

}(jQuery));
