<?php

namespace Drupal\transformation_activation\Button;

use Drupal\transformation_activation\Step\StepsEnum;

/**
 * Class StepThreePreviousButton.
 *
 * @package Drupal\transformation_activation\Button
 */
class StepThreePreviousButton extends BaseButton {

  /**
   * {@inheritdoc}
   */
  public function getKey() {
    return 'previous';
  }

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#type' => 'submit',
      '#value' => t('Atras'),
      '#goto_step' => StepsEnum::STEP_TWO,
      '#skip_validation' => TRUE,
      '#attributes' => [
        'class' => ['btn-tigo btn-tigo--blue']
      ],
    ];
  }
}
