<?php

namespace Drupal\transformation_activation\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Url;
use Symfony\Component\HttpFoundation\RedirectResponse;

/**
 * Controller routines for page example routes.
 */
class IndexActivation extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  protected function getModuleName() {
    return 'transformation_activation_index';
  }


  /**
   * Constructs a simple page.s
   *
   * The router _controller callback, maps the path
   *
   * _controller callbacks return a renderable array for the content area of the
   * page. The theme system will later render and surround the content with the
   * appropriate blocks, navigation, and styling.
   */
  public function View() {

    return [
      '#theme' => 'tigo-activation-index',
      '#attached' => array(
        'library' => array(
          'transformation_activation/transformation_activation',
        ),
      ),
    ];
  }
}
