<?php

namespace Drupal\transformation_activation\Validator;

/**
 * Interface ValidatorInterface.
 *
 * @package Drupal\transformation_activation\Validator
 */
interface ValidatorInterface {

  /**
   * Returns bool indicating if validation is ok.
   */
  public function validates($value);

  /**
   * Returns error message.
   */
  public function getErrorMessage();

}
