/*global document, window, console, jQuery, navigator */
/*jslint maxlen: 150, this: true, for: true */
/*jshint esversion:6 */

var NSTigoLoader = {};

(function ($) {
    "use strict";

    NSTigoLoader = (function () {
        /* Private */
        var select_1, //Selector for node loader
            strike_1, //Name for the strikie loader
            time_s; //Time for wait first loader

        /* Public */
        return {
            version: 20180528,

            start: function (attr_e) {
                var attr = attr_e || {};

                select_1 = attr.selector || ".loader_tigo"; //Selector for node loader
                strike_1 = attr.name_strike || "tigo_strike_loader"; //Name for the strikie loader
                time_s = attr.time || 1500; //Time for wait first loader

                if ($(select_1).exists()) {
                    var strike_loader = Number(window.sessionStorage.getItem(strike_1));

                    if (strike_loader < 1) {
                        window.setTimeout(function () {
                            $(select_1).remove();
                        }, time_s);

                        window.sessionStorage.setItem(strike_1, "1");
                    } else {
                        $(select_1).remove();
                    }
                }
            }
        };
    }());
}(jQuery));
