/*jslint maxlen: 150*/
/*jshint esversion:6*/

//Author: John Sanchez Alvarez
//Create: 20180322

class Segment {
    constructor(category, user_id) {
        this.category = category;
        this.url_segment = window.location.origin + "/servicios/consumo-segment";
        this.userId = user_id;
        this.respond_ajax = "";
    }

    get version() {
        return 20180403;
    }

    addAttributes(attr_e) {
        let attr = attr_e || {};

        this.events = attr.events || "";
        this.value = attr.value || 0;
        this.properties = attr.properties || {};

        this.arraySend = {
            userId: this.userId,
            event: this.events,
            value: this.value,
            properties: this.properties
        };

        return this;
    }

    get getArraySend() {
        return this.arraySend;
    }

    get getAjaxSuccess() {
        return this.respond_ajax;
    }

    sendSegment() {
        jQuery.ajax({
            type: "POST",
            url: this.url_segment,
            data: this.arraySend,
            success: function(msg) {
                this.respond_ajax = msg;
            }
        });
    }
}
