<?php

namespace Drupal\transformation_activation\Button;

use Drupal\transformation_activation\Step\StepsEnum;

/**
 * Class StepOneNextButton.
 *
 * @package Drupal\transformation_activation\Button
 */
class StepOneNextButton extends BaseButton {

  /**
   * {@inheritdoc}
   */
  public function getKey() {
    return 'next';
  }

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#type' => 'submit',
      '#value' => 'Continuar',
      '#goto_step' => StepsEnum::STEP_TWO,
      '#attributes' => [
        'class' => ['btn-tigo btn-tigo--blue']
      ],
    ];
  }
}
