<?php

namespace Drupal\transformation_activation\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Controller routines for page example routes.
 */
class DesktopDevice extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  protected function getModuleName() {
    return 'transformation_activation_desktop_device';
  }


  /**
   * Constructs a simple page.s
   *
   * The router _controller callback, maps the path
   *
   * _controller callbacks return a renderable array for the content area of the
   * page. The theme system will later render and surround the content with the
   * appropriate blocks, navigation, and styling.
   */
  public function View() {
      return [
          '#theme' => 'tigo-activation-desktop-device',
          '#attached' => array(
            'library' => array(
              'transformation_activation/transformation_activation',
            ),
          ),
      ];
  }
}
